/* --------------------------------- Text Classes --------------------------- */


/* Base font and font-size for all portal pages */
.text, p, td, tr, body, div, dt, dd, li, a, a:link, a:hover, a:visited
{
    font-family: Verdana, Arial, Geneva, Helvetica, sans-serif;
    font-size: 11px;
    _font-size: 1.02em; /* Allows text resizing in IE */
}

/* base color and decoration */
.text, p, td, tr, body, div, dt, dd, li
{
    text-decoration: none;
    color: #333333;
    word-wrap: break-word;
}

/* Base styles for links*/
A:link, A:visited, A:link.link, A:visited.link
{
    text-decoration: none;
    color: #333399;
}

A:hover, A:hover.link
{
    text-decoration: underline;
    color: #333399;
}

/*
    The header class is used for headers throughout CWIS.
    For example, the headlines of the two news areas on
    SPT--Home use the header class.
*/
A:link.header, A:visited.header
{
    font-size: 14px;
    text-decoration: none;
    font-weight: bold;
    color: #333399;
}
A:hover.header
{
    font-size: 14px;
    text-decoration: underline;
    font-weight: bold;
    color: #333399;
}
.header
{
    font-size: 14px;
    text-decoration: none;
    font-weight: bold;
    color: #333333;
}

/*
    The pagetitle class is used for the portal name displayed at the
    top of every page (SPT--StandardPageStart.html)
*/
.pagetitle
{
    font-size: 14px;
    text-decoration: none;
    font-weight: bold;
    color: #FFFFFF;
}

.pagetitle a
{
    font-size: 14px;
    text-decoration: none;
    font-weight: bold;
    color: #FFFFFF;
}

/*
    The KeywordTitle class and #searchForm span styles the phrase "Keyword Search" at the
    top of every page (SPT--StandardPageStart.html)
*/
.KeywordTitle, #SearchForm span
{
    text-decoration: none;
    color: #000;
    font-weight: bold;
    display: block;
}

/*
    form#SearchForm styles the the entire search form at the top of every page.
    (SPT--StandardPageStart.html)
*/
form#SearchForm {
    float: right;
    color: #666;
    font-size: 11px;
    font-weight: bold;
    margin-top: 20px;
    padding-right: 11px;
    width: 170px;
}


/*
    #goButton styles the submit button of the search form at the top of every page.
    (SPT--StandardPageStart.html)
*/
#goButton {
    float: right;
    padding-top: 16px;
}

/*
    #SearchText styles the text box that is part of the search at the top of every page.
    (SPT--StandardPageStart.html)
*/
input#SearchText {
    width: 135px;
    height: 12px;
    margin-top: 3px;
}

/*
    The whitenav class styles the navigation options on the right side
    of every page (SPT--StandardPageEnd.html)
*/
.whitenav, A:link.whitenav, A:visited.whitenav
{
    text-decoration: none;
    line-height: 40px;
    color: #FFFFFF;
    margin-left: 20px;
    font-weight: bold;
}

A:hover.whitenav
{
    text-decoration: underline;
    line-height: 40px;
    color: #FFFFFF;
    margin-left: 20px;
    font-weight: bold;
}

/* LightRow and DarkRow are used when we want alternating row colors  */
.LightRow {
    background: #F4F9FA;;
}

.DarkRow {
    background: #EAF1F3;
}

/* --------------------------------- Structure ----------------------------- */

body {
   margin: 0px;
   padding: 0px;
   color: #000;
   height: 100%;
   width: 100%;
}

/*
    The AdvSearchBox class styles colored boxes throughout the
    portal. The Advanced Search page, for example, uses this style
    for the area with the title "Enter your search"
*/
.AdvSearchBox
{
    background: #EAF1F3;
    position: relative;
    padding: 10px;
    border: 1px solid #DDDDDD;
    margin: 0px;
}

.AdvSearchBox select
{
    font-family: Verdana, Arial, Geneva, Helvetica, sans-serif;
    font-size: 11px;
}

/*
    The GradientBackground class styles heading areas throughout the
    site. For example, this class styles the "Available Forums" heading
    on the SPT--Forums.php.
*/
.GradientBackground
{
    background: #FFF url("../images/resource_gradient.gif") repeat-x center bottom;
}

/* --------------------------------- Common Nav ---------------------------- */
/*
    These styles control the basic two-column format of every page
    ( SPT--StandardPageStart.html, SPT--StandardPageEnd.html )
*/
#navbodyframe, .navbodyframe {
   position:relative;
   clear:both;
   margin: 0px;
   padding: 0px;
}
#navleftcolumn, .navleftcolumn {
   margin-right: 190px;
}
#navrightcolumn, .navrightcolumn {
   position: absolute;
   top: 0px;
   padding: 0px;
   width: 190px;
   right: 0px;
}
.rightnav {
    width: 170px;
    padding: 10px;
    text-align: left;
    background: #DDDDDD;
    border-top: 10px solid white;

}
.RightNavBottom {
    background: #F0F0F0;
}

/* --------------------------------- Top Nav ----------------------------- */

#header {
   background: url("../images/header.gif");
   padding: 0px;
   border-top: 4px solid #7B7B7B;
   height: 90px;
}
#navbar {
   height: 40px;
   background: #7A7A8F;
   border: 1px solid #2A4F5E;
}

/* --------------------------- SPT--Home --------------------------------*/
/*
    These styles are used on SPT--Home to contain the New Resources
    and Announcements areas
*/
#contentframe {
    position: static;
    margin: 20px 20px 20px 20px;
    clear: both;
}

/* This is a hack */

div>#contentframe
{
    position: relative;
}
#contentbox, .contentbox {
    position: relative;
}
#ResourceBox {

   border: 5px solid #DDDDDD;
   padding: 0px;
}

/*
    The styles the "New Resources" heading area.
*/
#ResourceHeaderBox {
   background: #FFF url("../images/resource_gradient.gif");
   height: 25px;
   line-height: 25px;
    font-size: 12px;
    text-decoration: none;
    font-weight: bold;
    padding-left: 10px;
}

/* ---------------------------- Resources ---------------------------- */

/*
    The ResourceHeader class is used for the title of resources
    printed using the PrintResource function in SPT--Common.html
*/
A:link.ResourceHeader, A:visited.ResourceHeader, .ResourceHeader
{
    color: #333333;
    margin-bottom: 15px;
}
A:hover.ResourceHeader
{
    color: #333333;
    margin-bottom: 15px;
}

/*
    RatingDiv contains the fast user rating graphic and text
    in PrintResource
*/
div.RatingDiv
{
    float: right;
    width: 75px;
    padding: 0px;
    font-size: 10px;
    text-align: right;
    line-height: 27px;
}
div.RatingDiv img
{
    margin-top: 5px;
}
/* ---------------------------- Footer ---------------------------- */

#footer {
   background: #B3B3B3;
   border: 1px solid #B3B3B3;
   margin-top: 10px;
   position: relative;
}

/*
    The BottomNav class styles the text in the footer of each page.
    (SPT--StandardPageEnd.html)
*/
.BottomNav
{
    font-size: 11px;
    line-height: 13px;
    margin: 16px 0 16px 20px;
    color: #333333;
}

/*
    These control the position of the two small logos in the lower right
    corner of the page.
*/
#footer img#CWISLogo
{
    float: right;
    margin: 12px 10px 0px 0px;
    border: 0px;
}

#footer img#NSDLLogo
{
    float: right;
    margin: 12px 15px 0px 0px;
    border: 0px;
}

/* ------------ Help System Navigation ----------------- */

/*
    There are two styles of Help navigation in the portal. The
    first displays navigation options as a stack of list items
    and is styled by the HelpNav class. The second displays navigation
    options as a linear arangement of list items and is styled by
    the HelpNavLinear class
*/

ul.HelpNav
{
    list-style: none;
    width: 180px;
    border: 1px solid #DDDDDD;
    background: #EAF1F3;
    padding: 0;
    float: left;
    margin: 10px;
}

ul.HelpNav li
{
    display: block;
    margin: 0;
    padding: 0;
    border-bottom: 1px solid #F3FAFC;
}

ul.HelpNav li:hover, ul.HelpNavLinear li:hover
{
    background-color: #E0F0F4;
}

ul.HelpNav li a, ul.HelpNavLinear li a
{
    display: block;
    font-size: 11px;
    width: 170px;
    text-decoration: none;
    line-height: 12px;
    color: #666;
    margin: 5px;
    font-weight: bold;
}

ul.HelpNavLinear
{
    list-style: none;
    padding: 0;
    margin: 10px 0 0 10px;
}

ul.HelpNavLinear li
{
    display: block;
    float: left;
    margin: 0;
    background: #EAF1F3;
    padding: 0;
    border: 1px solid #F3FAFC;
}

/*
    These styles are for the saved search area on the Advanced Search screen
*/
ul.SPTSavedSearches
{
    list-style: none;
    padding: 0;
    margin: 0;
}
ul.SPTSavedSearches li
{
    display: block;
    padding: 0;
    border: 1px solid #F3FAFC;
    background-color: #F2F9FB;
}
ul.SPTSavedSearches li:hover
{
    background-color: #F6FDFF;
}
ul.SPTSavedSearches li a
{
    display: block;
    width: 150px;
    text-decoration: none;
    margin: 2px;
}

.FloatLeft, ul.SPTSavedSearches li
{
    float: left;
    margin: 3px;
}
.FloatRight
{
    float: right;
    margin: 3px;
}

body {
    _font-size: 62.5%; /* Allows text resizing in IE */
}

/*
    a.AddField: The button on the Advanced Search page that adds additional fields
    to search.
*/
a.AddField {
    margin-left: 5px;
    margin-right: 6px;
    padding: 6px 6px 4px 25px;
    line-height: 14px;
    background: #E8ECEB url("../images/add_field.png")  no-repeat 5px 4px;
    border: 1px solid #999;
    color: #444;
    font: normal 1em arial, sans-serif;
    text-decoration: none;
}

/**
 * Style for the AJAX-driven controlled name search boxes.
 */
input.ControlledNameSearch, textarea.ControlledNameSearch {
    display: block;
    height: 15px;
    width: 390px;
    margin: 2px 0px;
    padding: 2px;
    font-family: Verdana,Arial,Geneva,Helvetica,sans-serif;
    font-size: 11px;
    overflow: hidden;
}

span.EMungeAddr span { display: none; } /* Hide email fuzz */

/**
 * styled buttons normally used for nav
 */
.StyledButton, .StyledButton:link, .StyledButton:hover, .StyledButton:visited {
    margin: 0px 0px;
    padding: 3px;
    border: 1px solid #DDD;
    background: #F0F0F0 url("../images/resource_gradient.gif");
    color: #333;
    font-size: 0.95em;
    text-align: center;
    text-decoration: none;
    cursor: pointer;

    /* make sure the buttons look consistent, even when other fonts
       are in use. this can always be overridden anyway, if
       necessary */
    font-family: Verdana, Arial, Geneva, Helvetica, sans-serif;

    /* not supported in some browsers (e.g., IE and Opera) */
    border-bottom-left-radius: 1px;
    -moz-border-radius-bottomleft: 2px;
    -khtml-border-bottom-left-radius: 2px;
    -webkit-border-bottom-left-radius: 2px;
    border-top-left-radius: 1px;
    -moz-border-radius-topleft: 2px;
    -khtml-border-top-left-radius: 2px;
    -webkit-border-top-left-radius: 2px;

    /* not supported in some browsers (e.g., IE and Opera) */
    border-bottom-right-radius: 1px;
    -moz-border-radius-bottomright: 2px;
    -khtml-border-bottom-right-radius: 2px;
    -webkit-border-bottom-right-radius: 2px;
    border-top-right-radius: 1px;
    -moz-border-radius-topright: 2px;
    -khtml-border-top-right-radius: 2px;
    -webkit-border-top-right-radius: 2px;
}

.StyledButton:active {
    background: #DDD url("../images/resource_gradient_reversed.gif");
}

.NavStyledButton, .NavStyledButton:link, .NavStyledButton:hover, .NavStyledButton:visited {
    /* move the angle brackets closer together and fix the padding */
    padding-right: 5px;
    letter-spacing: -2px;
}

/**
 * Order button on the advanced search page
 */
.OrderButton .Text {
    font-size: 0.9em;
    color: #333;
}

.OrderButton .Arrow {
    float: left;
    position: relative;
    top: 2px;
    left: 2px;
    height: 15px;
    font-size: 1.5em;
    color: #333;
}

.OrderButton, .OrderButton:link, .OrderButton:hover, .OrderButton:visited {
    display: block;
    float: right;
    padding: 1px;
    line-height: 10px;
    font-size: 1em;
    color: #333;
}

/**
 * the label for the order button on the advanced search page
 */
.OrderLabel {
    float: right;
    position: relative;
    top: 5px;
    margin-right: 4px;
}

/**
 * Styling of a full resource record (on the full record page atm)
 */
.FullRecord {
    min-width: 755px;
}

.FullRecord h1 {
    display: inline;
    margin: 0px;
    padding: 0px;
    font-size: 100%;
    font-weight: normal;
}

.FullRecord .Header h1 {
    display: block;
    margin-bottom: 3px;
    font-size: 175%;
    font-weight: bold;
}

.FullRecord .Rating h1 {
    font-weight: bold;
}

.FullRecord .Source {
    float: right;
    text-align: right;
}

.FullRecord .Source a {
    display: block;
}

.FullRecord .Comments > h1 {
    display: block;
    font-size: 125%;
    font-weight: bold;
}

.FullRecord .Screenshot {
    float: left;
    border: 1px solid #AAAAAA;
    margin: 0px 10px 0px 0px;
    clear: right;
}

.FullRecord .Description {
    clear: right;
}

.FullRecord .Rating {
    clear: left;
    padding-top: 5px;
}

.FullRecord .Rating form {
    position: relative;
    bottom: 1px;
    float: right;
    font-size: 85%;
}

.FullRecord .Rating form input {
    margin: 0px;
    padding: 0px;
}

.FullRecord .Rating form img {
    margin-right: 10px;
}

.FullRecord .PrimaryFields {
    clear: left;
}

.FullRecord .Classification ul,
.FullRecord .ControlledName ul {
    margin: 0px;
    padding: 0px;
    list-style-type: none;
}

.FullRecord .Classification ul li,
.FullRecord .ControlledName ul li {
    margin: 0px;
    padding: 0px;
}

.FullRecord .BoundingBox {
    margin-top: 10px;
    padding: 8px 10px 10px 10px;
    background: #F0F0F0;
    border: 1px solid #CCC;
}

.FullRecord .DateChecked {
    margin-top: 10px;
}

.FullRecord .DateChecked h1 {
    float: left;
    font-weight: bold;
    margin-right: 5px;
}

.FullRecord .DateChecked .Report {
    float: right;
}

.FullRecord .AddComment,
.FullRecord .AddComment:link,
.FullRecord .AddComment img {
    text-decoration: none;
    border: none;
}

.FullRecord .Comments > h1 {
    margin-bottom: 5px;
}

.FullRecord .Comments > a {
    display: block;
}

.FullRecord .Comments .FirstCommentLink {
    margin: 6px 0px 10px 0px;
}

.FullRecord .Comments > div {
    margin: 0px;
}

.FullRecord .BoundingBox table,
.FullRecord .BoundingBox table tr,
.FullRecord .BoundingBox table th,
.FullRecord .BoundingBox table td {
    margin: 0px;
    padding: 0px;
}

.FullRecord .BoundingBox table {
    margin-bottom: 5px;
}

.FullRecord .BoundingBox table:last-child {
    margin-bottom: 0px;
}

.FullRecord .BoundingBox table td {
    padding-left: 5px;
}

.FullRecord .BoundingBox table th {
    width: 150px;
    text-align: left;
    vertical-align: top;
}

.FullRecord .Mimetype {
    position: relative;
    top: 1px;
    margin-bottom: 1px;
}

.FullRecord .StarRating {
    position: relative;
    top: 3px;
    height: 14px;
    margin: 0px;
    padding: 0px;
}
